org.gradle.language.base

## Interface BuildableModelElement

- All Superinterfaces:
    Buildable
  All Known Subinterfaces:
    Binary, ClassDirectoryBinary, ExecutableBinary, LibraryBinary, NativeBinary, SharedLibraryBinary, StaticLibraryBinary

      @Incubating
      public interface BuildableModelElement
      extends Buildable

  A model element that is directly buildable. Such an element mirrors a specified lifecycle task in the DAG, and can accept dependencies which are then associated with the lifecycle task.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `builtBy(Object... tasks)` Adds a task that is required for the construction of this element.
    `void` | `setLifecycleTask(Task lifecycleTask)` Associates a 'lifecycle' task with the construction of this element.

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### setLifecycleTask

          void setLifecycleTask(Task lifecycleTask)

      Associates a 'lifecycle' task with the construction of this element.

    - #### builtBy

          void builtBy(Object... tasks)

      Adds a task that is required for the construction of this element. A task added this way is then added as a dependency of the associated lifecycle task.